/******************************************************************************************
 *
 * Class AudioDecoder
 *
 ******************************************************************************************/
abstract class AudioDecoder {
	protected byte buffer[];
	protected int lenght;

	public AudioDecoder(int len) {
		lenght = len;
		buffer = new byte[lenght];
	}

	abstract void decode();
	
	public byte[] getBuffer() {
		return buffer;
	}
}

