// NCSmanagerDlg.h : header file
//
#ifndef _MANAGER_DLG
#define _MANAGER_DLG

/////////////////////////////////////////////////////////////////////////////
// CNCSmanagerDlg dialog

class CNCSmanagerDlg : public CDialog
{
// Construction
public:
	CNCSmanagerDlg(CWnd* pParent = NULL);	// standard constructor

	//////////////////////////////////////////////////////////
	// My functions
	//
	virtual void SetStatus(char *text);		
	virtual void AddMember(char *user, char *host);
	void DeleteMember(char *user, char *host);
	void DeleteAllMembers(void);
	void DeleteAllApps(void);
	void AddApp(char *app);
	//////////////////////////////////////////////////////////

// Dialog Data
	//{{AFX_DATA(CNCSmanagerDlg)
	enum { IDD = IDD_NCSMANAGER_DIALOG };
	CEdit	m_status;
	CListBox	m_app_list;
	CListBox	m_member_list;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNCSmanagerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CNCSmanagerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAddMember();
	afx_msg void OnFileExit();
	afx_msg void OnSelchangeListApp();
	afx_msg void OnRun();
	afx_msg void OnQuit();
	afx_msg void OnInfo();
	afx_msg void OnAccept();
	afx_msg void OnReject();
	afx_msg void OnFileReset();
	afx_msg void OnMemberAdd();
	afx_msg void OnInvitAcc();
	afx_msg void OnInvitReject();
	afx_msg void OnAppRun();
	afx_msg void OnAppQuit();
	afx_msg void OnAppInfo();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif