// ArchiveDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NCSmanager.h"
#include "ArchiveDlg.h"
#include "conference.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CArchiveDlg dialog


CArchiveDlg::CArchiveDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CArchiveDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CArchiveDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	play = FALSE;
	rec = FALSE;
	SetStatus("Normal");
}


void CArchiveDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CArchiveDlg)
	DDX_Control(pDX, IDC_POS, m_Pos);
	DDX_Control(pDX, IDC_STATUS, m_Status);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CArchiveDlg, CDialog)
	//{{AFX_MSG_MAP(CArchiveDlg)
	ON_BN_CLICKED(IDC_PLAY, OnPlay)
	ON_BN_CLICKED(IDC_REC, OnRec)
	ON_BN_CLICKED(IDC_STOP, OnStop)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CArchiveDlg::SetStatus(char *text)
{
	m_Status.SetSel(0, -1);
	m_Status.ReplaceSel(text);
}

/////////////////////////////////////////////////////////////////////////////
// CArchiveDlg message handlers

void CArchiveDlg::OnPlay() 
{
	if((rec == FALSE) && (play == FALSE))
	{
		confArchivePlay();
		play = TRUE;
		SetStatus("Playing...");
	}
}

void CArchiveDlg::OnRec() 
{
	if((rec == FALSE) && (play == FALSE))
	{
		confArchiveRec();
		rec = TRUE;
		SetStatus("Recording...");
	}
}

void CArchiveDlg::OnStop() 
{
	if(rec == TRUE)
		confArchiveRecStop();
	if(play == TRUE)
		confArchivePlayStop();
	rec = FALSE;
	play = FALSE;
	SetStatus("Stopped");
}

void CArchiveDlg::Exit() 
{
	if(rec == TRUE)
		confArchiveRecStop();
	if(play == TRUE)
		confArchivePlayStop();
	rec = FALSE;
	play = FALSE;
}