import java.awt.*;
import java.util.StringTokenizer;
import java.util.Hashtable;

public class NameFilter implements Filter

{
  Hashtable ht;
  Color table[]={Color.blue,Color.cyan,Color.darkGray,Color.green,Color.magenta,
  Color.orange,Color.pink,Color.yellow};
  int current=0;

  public NameFilter()
  {
    ht=new Hashtable();
  }

  public String processLine(String s)
  {
    String tmp;
    Color col;
    StringBuffer n=new StringBuffer();
    StringTokenizer st=new StringTokenizer(s);
	tmp=st.nextToken();
	col=(Color)ht.get(tmp);
	if (col!=null)
	  {
	    n.append("<"+col.getRGB()+"> ");
	    n.append(tmp+" ");
	    n.append("</> ");
	  }
	else {
	    col=table[current];
	    ht.put(tmp,col);
	    n.append("<"+col.getRGB()+"> ");
	    n.append(tmp+" ");
	    n.append("</> ");
	    current++;
	    if (current==table.length)
	        current=0;
	}
	while (st.hasMoreTokens())
	    n.append(st.nextToken()+" ");

    return n.toString();
  }
  public Component getVisual()
  {
    return null;
  }
}

