import java.applet.*;
import java.awt.*;
import java.util.*;

public class CIS675 extends Applet implements Runnable
{
	Thread	 m_CIS675 = null;

	double z0x;
	double z0y;
	double zx;
	double zy;

	int STEPS;
	int SIZE;

	Vector points;

	public CIS675()
	{
		STEPS = 64;
		SIZE = 300;
	}

	public String getAppletInfo()
	{
		return "Name: CIS675\r\n" +
		       "Author: Tomasz Stachowiak\r\n" +
		       "Created with Microsoft Visual J++ Version 1.0";
	}


	public void init()
	{
        // If you use a ResourceWizard-generated "control creator" class to
        // arrange controls in your applet, you may want to call its
        // CreateControls() method from within this method. Remove the following
        // call to resize() before adding the call to CreateControls();
        // CreateControls() does its own resizing.
        //----------------------------------------------------------------------
		resize(SIZE, SIZE);

		// TODO: Place additional initialization code here
		points = new Vector();
	}

	public void destroy()
	{
		// TODO: Place applet cleanup code here
	}

	public void paint(Graphics g)
	{
		// TODO: Place applet paint code here
		//g.drawString("Running: " + Math.random(), 10, 20);
		//g.drawLine(0, SIZE/2, SIZE, SIZE/2);
		//g.drawLine(SIZE/2, 0, SIZE/2, SIZE);
		//g.drawOval(SIZE/10, SIZE/10, SIZE*4/5, SIZE*4/5);

		
		for (Enumeration e = points.elements() ; e.hasMoreElements() ;) {
              Rectangle p = (Rectangle)e.nextElement();
		      //g.drawString("Point: " + p.x + ", " + p.y, 10, 20);
			  //g.drawRect(p.x, p.y, 1, 1);
			  
			  /*
			  g.setColor(Color.black);
				if(p.width < 60)
					g.setColor(Color.red);
			  if(p.width<30)
				  g.setColor(Color.green);
			  if(p.width < 10)
				  g.setColor(Color.yellow);
				  */
			  g.setColor(new Color(20*(64-p.width)%255,100*(64-p.width)%255,400*(64-p.width)%255));

			  g.drawLine(p.x, p.y, p.x, p.y);
        }
	}

	public void start()
	{
		if (m_CIS675 == null)
		{
			m_CIS675 = new Thread(this);
			m_CIS675.start();
		}
		// TODO: Place additional applet start code here
	}
	
	public void stop()
	{
		if (m_CIS675 != null)
		{
			m_CIS675.stop();
			m_CIS675 = null;
		}

		// TODO: Place additional applet stop code here
	}

	public void run()
	{
		int x, y;
		double delta = (double)4.1/(double)SIZE;
		int s;

		for(y = 0; y<SIZE; y++)
		{
			for(x = 0; x<SIZE; x++)
			{
				z0x = delta*(double)x - (double)2.05;
				z0y = delta*(double)y - (double)2.05;
				zx = z0x;
				zy = z0y;
				s = 0;
				while((s < STEPS) && (distance() <= (double)4.0)) 
				{
					transform();
					s++;					
				}
				plot(x, y, s);
			}
		}
		repaint();
			
	}


	private double distance()
	{
		return (zx*zx) + (zy*zy);
	}

	double two=2;

	private void transform()
	{
		double pom;

		pom = (zx*zx) - (zy*zy) + z0x;
		zy = two*zx*zy + z0y;
		zx = pom;
	}

	private void plot(int x, int y, int s)
	{
		Rectangle p = new Rectangle(x, y, s, 0);
		points.addElement(p);
		//repaint();
	}
}
